{ config, ... }:
{
  fileSystems = with config.services.mycelium.ips; {
    # Local mounts
    "/persist/storage" = {
      device = "/dev/disk/by-uuid/d0d6783f-ad51-4d85-b8a9-3374f6460ef6";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
        "subvol=storage"
      ];
    };
    "/persist/home/${config.sysusers.main}/games" = {
      device = "/dev/disk/by-uuid/d0d6783f-ad51-4d85-b8a9-3374f6460ef6";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
        "subvol=games"
      ];
    };

    # Network mounts
    "/home/${config.sysusers.main}/Network/Midas" = {
      device = "[${midas}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${config.sysusers.main}/Network/Kitty" = {
      device = "[${kitty}]:/storage/bun";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${config.sysusers.main}/Network/Prophet" = {
      device = "[${prophet}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
